{
  "name": "mfyx_web",
  "version": "0.1.0",
  "private": true,
  "dependencies": {
    "@ahooksjs/use-request": "^2.8.1",
    "@ant-design/cssinjs": "^1.5.6",
    "@babel/core": "^7.16.0",
    "@material-ui/core": "^4.12.3",
    "@mui/material": "^5.5.0",
    "@pmmmwh/react-refresh-webpack-plugin": "^0.5.3",
    "@svgr/webpack": "^5.5.0",
    "@testing-library/jest-dom": "^5.11.5",
    "@testing-library/react": "^11.1.1",
    "@testing-library/user-event": "^12.2.0",
    "@types/jest": "^26.0.15",
    "@types/node": "^16.18.26",
    "@types/react": "^17.0.1",
    "@types/react-beautiful-dnd": "^13.1.8",
    "@types/react-dom": "^17.0.1",
    "@types/react-infinite-scroller": "^1.2.3",
    "@types/react-responsive": "^8.0.2",
    "@types/react-router-dom": "^5.1.6",
    "ahooks": "^3.5.0",
    "antd": "^5.3.0",
    "antd-img-crop": "^4.6.0",
    "axios": "^0.21.0",
    "babel-jest": "^27.4.2",
    "babel-loader": "^8.2.3",
    "babel-plugin-named-asset-import": "^0.3.8",
    "babel-preset-react-app": "^10.0.1",
    "bfj": "^7.0.2",
    "browserslist": "^4.18.1",
    "buffer": "^6.0.3",
    "camelcase": "^6.2.1",
    "caniuse-lite": "^1.0.30001441",
    "case-sensitive-paths-webpack-plugin": "^2.4.0",
    "classnames": "^2.3.1",
    "css-loader": "^6.5.1",
    "css-minimizer-webpack-plugin": "^3.2.0",
    "dayjs": "^1.9.6",
    "dom-to-svg": "^0.12.2",
    "dotenv": "^10.0.0",
    "dotenv-expand": "^5.1.0",
    "eslint-webpack-plugin": "^4.0.1",
    "exceljs": "^4.3.0",
    "export-from-json": "^1.3.4",
    "file-loader": "^6.2.0",
    "file-saver": "^2.0.5",
    "fs-extra": "^10.0.0",
    "html-webpack-plugin": "^5.5.0",
    "html2canvas": "^1.4.1",
    "html2pdf.js": "^0.9.3",
    "identity-obj-proxy": "^3.0.0",
    "iframe-resizer-react": "^1.1.0",
    "jest": "^27.4.3",
    "jest-resolve": "^27.4.2",
    "jest-watch-typeahead": "^1.0.0",
    "jspdf": "^2.5.1",
    "jwt-decode": "^3.1.2",
    "localforage": "^1.9.0",
    "lodash": "^4.17.21",
    "material-ui-color": "^1.2.0",
    "md5": "^2.3.0",
    "mini-css-extract-plugin": "^2.4.5",
    "postcss": "^8.4.4",
    "postcss-flexbugs-fixes": "^5.0.2",
    "postcss-loader": "^6.2.1",
    "postcss-normalize": "^10.0.1",
    "postcss-preset-env": "^7.0.1",
    "prompts": "^2.4.2",
    "qrcode.react": "^1.0.1",
    "react": "^17.0.2",
    "react-app-polyfill": "^3.0.0",
    "react-beautiful-dnd": "^13.1.1",
    "react-dev-utils": "^12.0.1",
    "react-dom": "^17.0.1",
    "react-froala-wysiwyg": "^4.0.15",
    "react-grid-layout": "^1.3.4",
    "react-infinite-scroll-component": "^6.1.0",
    "react-infinite-scroller": "^1.2.6",
    "react-json-view": "^1.21.3",
    "react-masonry-css": "^1.0.16",
    "react-quill": "^2.0.0",
    "react-refresh": "^0.11.0",
    "react-responsive": "^8.2.0",
    "react-router-cache-route": "^1.12.11",
    "react-router-dom": "^5.2.0",
    "resolve": "^1.20.0",
    "resolve-url-loader": "^4.0.0",
    "sass": "^1.58.2",
    "sass-loader": "^12.3.0",
    "semver": "^7.3.5",
    "showdown": "^2.1.0",
    "source-map-explorer": "^2.5.2",
    "source-map-loader": "^3.0.0",
    "style-loader": "^3.3.1",
    "swiper": "^8.4.5",
    "terser-webpack-plugin": "^5.2.5",
    "typescript": "^4.3.5",
    "url-slug": "^2.3.2",
    "vconsole": "^3.15.1",
    "web-vitals": "^2.1.4",
    "webpack": "^5.64.4",
    "webpack-dev-server": "^4.6.0",
    "webpack-manifest-plugin": "^4.0.2",
    "weixin-js-sdk": "^1.6.0",
    "workbox-webpack-plugin": "^6.4.1",
    "xlsx": "https://cdn.sheetjs.com/xlsx-0.19.1/xlsx-0.19.1.tgz"
  },
  "scripts": {
    "start": "cross-env PUBLIC_URL=/ node scripts/start.js",
    "build": "dotenv -e .env.production node scripts/build.js",
    "build:dev": "dotenv -e .env.development node scripts/build.js",
    "test": "node scripts/test.js",
    "analyze": "source-map-explorer build/static/js/main.*",
    "ba": "export GENERATE_SOURCEMAP=true && node scripts/build.js && source-map-explorer build/static/js/*.*",
    "postinstall": "patch-package"
  },
  "eslintConfig": {
    "extends": [
      "react-app",
      "react-app/jest"
    ]
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all",
      "Chrome > 63"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version",
      "chrome >= 63"
    ]
  },
  "devDependencies": {
    "@types/file-saver": "^2.0.4",
    "@types/jspdf": "^2.0.0",
    "@types/lodash": "^4.14.182",
    "@types/md5": "^2.3.2",
    "@types/qrcode.react": "^1.0.2",
    "@types/react-grid-layout": "^1.3.2",
    "@types/showdown": "^2.0.1",
    "@typescript-eslint/eslint-plugin": "4.27.0",
    "@typescript-eslint/parser": "4.27.0",
    "better-xlsx": "^0.7.6",
    "cross-env": "^7.0.3",
    "dotenv-cli": "^5.1.0",
    "eslint": "7.13.0",
    "eslint-config-prettier": "6.15.0",
    "eslint-config-react-app": "6.0.0",
    "eslint-plugin-prettier": "3.1.4",
    "eslint-plugin-react": "7.24.0",
    "luckyexcel": "^1.0.0",
    "patch-package": "^6.4.7",
    "prettier": "^2.1.2"
  },
  "homepage": "/",
  "jest": {
    "roots": [
      "<rootDir>/src"
    ],
    "collectCoverageFrom": [
      "src/**/*.{js,jsx,ts,tsx}",
      "!src/**/*.d.ts"
    ],
    "setupFiles": [
      "react-app-polyfill/jsdom"
    ],
    "setupFilesAfterEnv": [
      "<rootDir>/src/setupTests.ts"
    ],
    "testMatch": [
      "<rootDir>/src/**/__tests__/**/*.{js,jsx,ts,tsx}",
      "<rootDir>/src/**/*.{spec,test}.{js,jsx,ts,tsx}"
    ],
    "testEnvironment": "jsdom",
    "transform": {
      "^.+\\.(js|jsx|mjs|cjs|ts|tsx)$": "<rootDir>/config/jest/babelTransform.js",
      "^.+\\.css$": "<rootDir>/config/jest/cssTransform.js",
      "^(?!.*\\.(js|jsx|mjs|cjs|ts|tsx|css|json)$)": "<rootDir>/config/jest/fileTransform.js"
    },
    "transformIgnorePatterns": [
      "[/\\\\]node_modules[/\\\\].+\\.(js|jsx|mjs|cjs|ts|tsx)$",
      "^.+\\.module\\.(css|sass|scss)$"
    ],
    "modulePaths": [
      "D:\\work\\mfyx-eject-webpack\\src"
    ],
    "moduleNameMapper": {
      "^react-native$": "react-native-web",
      "^.+\\.module\\.(css|sass|scss)$": "identity-obj-proxy"
    },
    "moduleFileExtensions": [
      "web.js",
      "js",
      "web.ts",
      "ts",
      "web.tsx",
      "tsx",
      "json",
      "web.jsx",
      "jsx",
      "node"
    ],
    "watchPlugins": [
      "jest-watch-typeahead/filename",
      "jest-watch-typeahead/testname"
    ],
    "resetMocks": true
  },
  "babel": {
    "presets": [
      "react-app"
    ]
  }
}
